Home

Snmp vrrp check
Script : check_snmp_vrrp.pl Last update : Sept 4 2006

Description :

Checks by snmp v1, v2c or v3 the vrrp status of all vrrp enabled interfaces.
Works on
- Nokia IP with ipso 3.X , 4.X in VRRP mode.
- Nokia IP with ipso 3.X , 4.X in clustering mode.
- Radware Linkproof
- Alteon AD4 Loadbalancers

Depending on the state you put as option ("master" or "backup") the script will get all the vrrp enables interface and check they are in this state.
If not, it will retrun a critical status
By default, it will check Nokia IP platforms using vrrp, you can test other platforms with the '-T' option :
- Alteon
- Linkproof (VRRP)
- Nokia clustering.

Nokia clustering check

Nokia clustering check does not have a master & backup state. Instead, the plugin will check :

- The number of cluster member
- The % load on each cluster.

For example -s 2,90 will issue
- A critical level if there is not 2 members.
- A warning level if more than 90% is assigned to one cluster member.

To have a long output, put the '-g' option.

SNMP Login

See snmp info page

French : Vérifie par snmp v1 ou v3 l'état des interfaces vrrp : Nokia, Linkproof, Altéon ou l'état d'un cluster Nokia.

Requirements :

- Perl in /usr/bin/perl - or just run 'perl script'
- Net::SNMP
- file 'utils.pm' in plugin diretory

Dowload lastest version : 1.3

Configurations examples

Examples :

All examples below are considering the script is local directory. Host to be checked is 127.0.0.1 with snmp community "public".

If multiple interfaces are selected, all must be up to get an OK result

Get help | ./check_snmp_vrrp.pl -h
snmpv3 login | ./check_snmp_vrrp.pl -H 127.0.0.1 -l login -x passwd
Check vrrp state of a node to be master. | ./check_snmp_vrrp.pl -H 127.0.0.1 -C public -s master
Output example : The ouput is : <vrid>(<state>,<status>,<priority>) | Vrid : 10(master/up/100), 1(master/up/100), 3(master/up/100), 2(master/up/100), : All master :OK
Check vrrp state of a node to be backup. | ./check_snmp_vrrp.pl -H 127.0.0.1 -C public -s backup
Output example : | Vrid : 1(backup/up/95), 3(backup/up/95), 10(backup/up/95), 2(backup/up/95), : All backup :OK
Test a Linkproof | ./check_snmp_vrrp.pl -H 127.0.0.1 -C public -s master -T lp
Test a Nokia cluster : 2 cluster members and max 90% load assigned to one cluster. | ./check_snmp_vrrp.pl -H 127.0.0.1 -C public -s 2,90%-T ipso

Changelog : On CVS repository on sourceforge : http://nagios-snmp.cvs.sourceforge.net/nagios-snmp/plugins/.

Output of check_snmp_vrrp.pl -h

SNMP VRRP Monitor for Nagios version 1.3
(c)2004-2006 to my cat Ratoune - Author : Patrick Proy

Usage: ./check_snmp_vrrp.pl [-v] -H <host> -C <snmp_community> [-2] | (-l login -x passwd [-X pass -L <authp>,<privp>]) -s <master|backup|num,%> [-T <nokia|alteon|lp|nsc|ipsocluster>] [-p <port>] [-t <timeout>] [-V]
-v, --verbose
print extra debugging information (including interface list on the system)
-h, --help
print this help message
-H, --hostname=HOST
name or IP address of host to check
-C, --community=COMMUNITY NAME
community name for the host's SNMP agent (implies v1 protocol)
-2, --v2c
Use snmp v2c
-l, --login=LOGIN ; -x, --passwd=PASSWD
Login and auth password for snmpv3 authentication
If no priv password exists, implies AuthNoPriv
-X, --privpass=PASSWD
Priv password for snmpv3 (AuthPriv protocol)
-L, --protocols=<authproto>,<privproto>
<authproto> : Authentication protocol (md5|sha : default md5)
<privproto> : Priv protocole (des|aes : default des)
-P, --port=PORT
SNMP port (Default 161)
-T, --type=<nokia|alteon|lp|nsc|ipso>
Type of vrrp router to check
nokia (default) : Nokai vrrp. Should be working for most vrrp routers
alteon : for Alteon AD4 Loadbalancers
lp : Radware Linkproof
nsc : Nescreen (ScreenOS 5.x NSRP)
ipso : Nokia IPSO clustering
-s, --state=master|backup|num,%
Nokia ipso clustering : number of members, max % assigned to nodes.
Other : check vrrp interface to be master or backup
-g, --long
Make output long even is all is OK
-t, --timeout=INTEGER
timeout for SNMP in seconds (Default: 5)
-V, --version
prints version number

This project is hosted on : http://sourceforge.net/projects/nagios-snmp Nagios and the Nagios logo are registered trademarks of Ethan Galstad.